diff -Naur policycoreutils-1.33.12.orig/setfiles/setfiles.8 policycoreutils-1.33.12/setfiles/setfiles.8
--- policycoreutils-1.33.12.orig/setfiles/setfiles.8	2007-01-11 19:01:39.000000000 +0000
+++ policycoreutils-1.33.12/setfiles/setfiles.8	2009-10-20 12:10:18.000000000 +0100
@@ -31,6 +31,9 @@
 .TP
 .B \-n
 don't change any file labels.
+.TP
+.B \-p
+show progress by printing * every 1000 files.
 .TP 
 .B \-q
 suppress non-error output.
diff -Naur policycoreutils-1.33.12.orig/setfiles/setfiles.c policycoreutils-1.33.12/setfiles/setfiles.c
--- policycoreutils-1.33.12.orig/setfiles/setfiles.c	2007-01-11 19:01:39.000000000 +0000
+++ policycoreutils-1.33.12/setfiles/setfiles.c	2009-10-20 12:20:23.000000000 +0100
@@ -12,7 +12,7 @@
  * the user.  The program does not cross file system boundaries.
  *
  * USAGE:
- * setfiles [-dnpqsvW] [-e directory ] [-c policy] [-o filename ] spec_file pathname...
+ * setfiles [-dlnpqsvFW] [-e directory ] [-c policy] [-o filename ] spec_file pathname...
  * 
  * -e   Specify directory to exclude
  * -F	Force reset of context to match file_context for customizable files
@@ -219,9 +219,9 @@
 void usage(const char *const name)
 {
 	fprintf(stderr,
-		"usage:  %s [-dnpqvW] [-o filename] [-r alt_root_path ] spec_file pathname...\n"
+		"usage:  %s [-dlnpqvFW] [-e directory] [-o filename] [-r alt_root_path] spec_file pathname...\n"
 		"usage:  %s -c policyfile spec_file\n"
-		"usage:  %s -s [-dnqvW] [-o filename ] spec_file\n", name, name,
+		"usage:  %s -s [-dlnpqvFW] [-e directory] [-o filename] spec_file\n", name, name,
 		name);
 	exit(1);
 }
